<template>
<div class="bg-gray-900 flex flex-col justify-center items-center w-screen h-screen">
    <div class="p-20 bg-gray-800 flex flex-col justify-center items-center min-w-0 min-h-0 rounded">
      <img id="image" src='https://avataaars.io/?avatarStyle=Circle&topType=WinterHat1&accessoriesType=Round&hatColor=Red&facialHairType=Blank&clotheType=ShirtCrewNeck&clotheColor=Heather&eyeType=Default&eyebrowType=Default&mouthType=Default&skinColor=Light'/>
      <h1 class = " text-gray-200 text-lg text-xs">{{email}}</h1>
      <h1 class = " text-gray-200 text-lg text-xs">{{username}}</h1>
      <h1 class = " text-red-500 text-lg text-xs">{{message}}</h1>
      <h1 class = " text-red-500 text-lg text-xs">{{message2}}</h1>
    </div>
</div>

</template>


<script>

module.exports = {

    data() {
      return {
        message: " ",
        message2: " ",
        email: " ",
        username: " ",
        disabled: false
      }
    },

    created(){
        const id = this.$route.params.id;

        
        if(!this.$store.state.token){
            this.$router.push("/sign-up");
        }

        this.$axios.create({
            headers : {
                Authorization : 'Bearer '+this.$store.state.token
            }
        })
        .get('http://localhost:3001/600/users/'+id)
        .then((response) => { 
            this.email = "E-mail: "+response.data.email;
            this.username = "Username: "+response.data.username;
        })
        .catch((error) => {
            if(error.response){
                this.message=error.response.data;
                this.message2="please, try again";
                this.disabled=true;
            }
        });
        
    }
}
</script>
